Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Python3 issue in run-webdriver-tests
webkitpy.common.system.logutils: [DEBUG] Debug logging enabled.
webkitpy.port.win: [DEBUG] Not running on native Windows.
webkitpy.webdriver_tests.webdriver_test_runner: [INFO] Using port gtk
webkitpy.webdriver_tests.webdriver_test_runner: [INFO] Test configuration: <, x86, release>
webkitpy.webdriver_tests.webdriver_test_runner: [INFO] Using display server xvfb
webkitpy.common.system.executive: [DEBUG] "which Xvfb" took 0.00s
webkitpy.common.system.executive: [DEBUG] "perl Tools/Scripts/webkit-build-directory --configuration --release --gtk" took 0.09s
webkitpy.webdriver_tests.webdriver_test_runner: [INFO] Using driver at /home/lauro/dev/WebKit/WebKitBuild/Release/bin/WebKitWebDriver
webkitpy.webdriver_tests.webdriver_test_runner: [INFO] Browser: MiniBrowser
webkitpy.webdriver_tests.webdriver_test_runner: [INFO] Parsing expectations
Traceback (most recent call last):
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/main.py", line 176, in wrap_session
config.hook.pytest_sessionstart(session=session)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 680, in __call__
return self._hookexec(self, self._nonwrappers + self._wrappers, kwargs)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 240, in _hookexec
return self._inner_hookexec(hook, methods, kwargs)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 233, in <lambda>
hook.multicall(
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 115, in execute
return outcome.get_result()
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 54, in get_result
raise ex[1].with_traceback(ex[2])
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 94, in execute
res = hook_impl.function(*args)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/terminal.py", line 491, in pytest_sessionstart
self.write_sep("=", "test session starts", bold=True)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/terminal.py", line 318, in write_sep
self._tw.sep(sep, title, **markup)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/py/_io/terminalwriter.py", line 211, in sep
self.line(line, **kw)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/py/_io/terminalwriter.py", line 234, in line
self.write(s, **kw)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/py/_io/terminalwriter.py", line 224, in write
write_out(self._file, markupmsg)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/py/_io/terminalwriter.py", line 369, in write_out
fil.write(msg)
TypeError: a bytes-like object is required, not 'str'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "Tools/Scripts/run-webdriver-tests", line 85, in <module>
runner.run(args)
File "/home/lauro/dev/WebKit/Tools/Scripts/webkitpy/webdriver_tests/webdriver_test_runner.py", line 70, in run
runner_tests = [runner.collect_tests(tests) for runner in self._runners]
File "/home/lauro/dev/WebKit/Tools/Scripts/webkitpy/webdriver_tests/webdriver_test_runner.py", line 70, in <listcomp>
runner_tests = [runner.collect_tests(tests) for runner in self._runners]
File "/home/lauro/dev/WebKit/Tools/Scripts/webkitpy/webdriver_tests/webdriver_test_runner_selenium.py", line 55, in collect_tests
for test, subtests in executor.collect(os.path.join(self._tests_dir, relative_tests_dir)).iteritems():
File "/home/lauro/dev/WebKit/Tools/Scripts/webkitpy/webdriver_tests/webdriver_selenium_executor.py", line 60, in collect
return pytest_runner.collect(directory, self._args, self._driver_name)
File "/home/lauro/dev/WebKit/Tools/Scripts/webkitpy/webdriver_tests/pytest_runner.py", line 180, in collect
pytest.main(cmd, plugins=[collect_recorder])
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/config/__init__.py", line 65, in main
return config.hook.pytest_cmdline_main(config=config)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 680, in __call__
return self._hookexec(self, self._nonwrappers + self._wrappers, kwargs)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 240, in _hookexec
return self._inner_hookexec(hook, methods, kwargs)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 233, in <lambda>
hook.multicall(
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 115, in execute
return outcome.get_result()
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 54, in get_result
raise ex[1].with_traceback(ex[2])
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 94, in execute
res = hook_impl.function(*args)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/main.py", line 208, in pytest_cmdline_main
return wrap_session(config, _main)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/main.py", line 191, in wrap_session
config.notify_exception(excinfo, config.option)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/config/__init__.py", line 618, in notify_exception
res = self.hook.pytest_internalerror(excrepr=excrepr, excinfo=excinfo)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 680, in __call__
return self._hookexec(self, self._nonwrappers + self._wrappers, kwargs)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 240, in _hookexec
return self._inner_hookexec(hook, methods, kwargs)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/__init__.py", line 233, in <lambda>
hook.multicall(
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 115, in execute
return outcome.get_result()
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 54, in get_result
raise ex[1].with_traceback(ex[2])
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/pluggy/callers.py", line 94, in execute
res = hook_impl.function(*args)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/terminal.py", line 328, in pytest_internalerror
self.write_line("INTERNALERROR> " + line)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/_pytest/terminal.py", line 296, in write_line
self._tw.line(line, **markup)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/py/_io/terminalwriter.py", line 234, in line
self.write(s, **kw)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/py/_io/terminalwriter.py", line 224, in write
write_out(self._file, markupmsg)
File "/home/lauro/dev/WebKit/Tools/Scripts/libraries/autoinstalled/python-3/py/_io/terminalwriter.py", line 369, in write_out
fil.write(msg)
TypeError: a bytes-like object is required, not 'str'
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment